RelationEdge
Date: 2013-11-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.graph
Class RelationEdge

    java.lang.Object
      DefaultWeightedEdge
          org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.graph.RelationEdge

    public class RelationEdge

extends DefaultWeightedEdge

Constructor Summary
`RelationEdge(java.lang.String name, long from, long to)`

Method Summary
`java.lang.String` | `getCategoryFrom()`
`java.lang.String` | `getCategoryTo()`
`long` | `getFrom()`
`java.lang.String` | `getName()`
`long` | `getTo()`
`java.math.BigInteger` | `getWeigth()`
`static void` | `main(java.lang.String[] args)`
`void` | `setCategoryFrom(java.lang.String categoryFrom)`
`void` | `setCategoryTo(java.lang.String categoryTo)`
`void` | `setName(java.lang.String name)`
`void` | `setWeigth(java.math.BigInteger Weight)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RelationEdge

    public RelationEdge(java.lang.String name,
                        long from,
                        long to)

Method Detail

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -

### getWeigth

    public java.math.BigInteger getWeigth()

### setWeigth

    public void setWeigth(java.math.BigInteger Weight)

### getTo

    public long getTo()

### getFrom

    public long getFrom()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### toString

    public java.lang.String toString()

### setCategoryFrom

    public void setCategoryFrom(java.lang.String categoryFrom)

### getCategoryFrom

    public java.lang.String getCategoryFrom()

### setCategoryTo

    public void setCategoryTo(java.lang.String categoryTo)

### getCategoryTo

    public java.lang.String getCategoryTo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD